package org.jugtrento.sga.applicazione;

import org.jugtrento.sga.dominio.Ambulanza;
import org.jugtrento.sga.persistenza.AmbulanzaDAO;
import java.io.Serializable;
import java.util.List;
import javax.ejb.EJB;
import javax.ejb.Stateful;
import javax.enterprise.context.SessionScoped;

@Stateful
@SessionScoped
public class CrudAmbulanzaApp implements CrudAmbulanza, Serializable {
	private List<Ambulanza> elenco;

	@EJB
	private AmbulanzaDAO ambulanzaDAO;

	@Override
	public List<Ambulanza> getElenco() {
		if (elenco == null) aggiornareElenco();
		return elenco;
	}

	@Override
	public void aggiornareElenco() {
		elenco = ambulanzaDAO.recuperareTutti();
	}

	@Override
	public void creare(Ambulanza ambulanza) {
		ambulanzaDAO.salvare(ambulanza);
	}

	@Override
	public Ambulanza recuperare(Long id) {
		return ambulanzaDAO.recuperarePerId(id);
	}
}
