package org.jugtrento.sga.dominio;

import org.jugtrento.util.javaee6.persistenza.OggettoPersistenteImpl;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
public class AttribuzioneAutista extends OggettoPersistenteImpl implements Comparable<AttribuzioneAutista> {
	@Temporal(TemporalType.DATE)
	private Date inizio;

	@Temporal(TemporalType.DATE)
	private Date fine;

	@ManyToOne
	private Addetto addetto;

	@ManyToOne
	private Ambulanza ambulanza;

	public Addetto getAddetto() {
		return addetto;
	}

	public void setAddetto(Addetto addetto) {
		this.addetto = addetto;
	}

	public Ambulanza getAmbulanza() {
		return ambulanza;
	}

	public void setAmbulanza(Ambulanza ambulanza) {
		this.ambulanza = ambulanza;
	}

	public Date getFine() {
		return fine;
	}

	public void setFine(Date fine) {
		this.fine = fine;
	}

	public Date getInizio() {
		return inizio;
	}

	public void setInizio(Date inizio) {
		this.inizio = inizio;
	}

	@Override
	public int compareTo(AttribuzioneAutista t) {
		if ((inizio == null) || (t.inizio == null))
			throw new IllegalArgumentException("Un'attribuzione autista deve sempre avere una data d'inizio.");

		return inizio.compareTo(t.inizio);
	}
}
