package org.jugtrento.sga.dominio;

import org.jugtrento.util.javaee6.persistenza.OggettoPersistenteImpl;
import java.util.Date;
import java.util.Set;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
public class ChiamataEmergenza extends OggettoPersistenteImpl {
	@Temporal(TemporalType.TIMESTAMP)
	private Date orario;

	private String descrizione;
	private String indirizzo;
	private String nomeCittadino;
	private LivelloPriorita livelloPriorita;
	private boolean inoltrata;

	@ManyToOne
	private Addetto operatore;

	@ManyToOne
	private Addetto risponsabile;

	@OneToMany(mappedBy = "chiamataEmergenza", orphanRemoval = true)
	private Set<Intervento> interventi;

	public String getDescrizione() {
		return descrizione;
	}

	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}

	public String getIndirizzo() {
		return indirizzo;
	}

	public void setIndirizzo(String indirizzo) {
		this.indirizzo = indirizzo;
	}

	public boolean isInoltrata() {
		return inoltrata;
	}

	public void setInoltrata(boolean inoltrata) {
		this.inoltrata = inoltrata;
	}

	public Set<Intervento> getInterventi() {
		return interventi;
	}

	public void setInterventi(Set<Intervento> interventi) {
		this.interventi = interventi;
	}

	public LivelloPriorita getLivelloPriorita() {
		return livelloPriorita;
	}

	public void setLivelloPriorita(LivelloPriorita livelloPriorita) {
		this.livelloPriorita = livelloPriorita;
	}

	public String getNomeCittadino() {
		return nomeCittadino;
	}

	public void setNomeCittadino(String nomeCittadino) {
		this.nomeCittadino = nomeCittadino;
	}

	public Addetto getOperatore() {
		return operatore;
	}

	public void setOperatore(Addetto operatore) {
		this.operatore = operatore;
	}

	public Date getOrario() {
		return orario;
	}

	public void setOrario(Date orario) {
		this.orario = orario;
	}

	public Addetto getRisponsabile() {
		return risponsabile;
	}

	public void setRisponsabile(Addetto risponsabile) {
		this.risponsabile = risponsabile;
	}

}
