package org.jugtrento.sga.dominio.validazione;

import static java.lang.annotation.ElementType.*;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import javax.validation.Constraint;
import javax.validation.Payload;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@NotNull
@Pattern(regexp = "^[A-Z]{3} [0-9]{4}$")
@Constraint(validatedBy = TargaValidator.class)
@Documented
@Target({ANNOTATION_TYPE, METHOD, FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Targa {
	String message() default "Targa non valida";
	Class<?>[] groups() default {};
	Class<? extends Payload>[] payload() default {};
}
