package org.jugtrento.sga.dominio.validazione;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

public class TargaValidator implements ConstraintValidator<Targa, String> {

	@Override
	public void initialize(Targa constraintAnnotation) { }

	@Override
	public boolean isValid(String value, ConstraintValidatorContext context) {
		if (value.length() != 8) return false;
		boolean ascendente = true;
		int precedente = Character.digit(value.charAt(4), 10);
		for (int i = 5; ascendente && i < 8; i++) {
			int corrente = Character.digit(value.charAt(i), 10);
			ascendente = corrente > precedente;
			precedente = corrente;
		}
		return ascendente;
	}
}
