package org.jugtrento.util.javaee6.persistenza;

import org.jugtrento.util.javaee6.dominio.OggettoDominioImpl;
import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.MappedSuperclass;
import javax.persistence.Version;

@MappedSuperclass
public abstract class OggettoPersistenteImpl extends OggettoDominioImpl implements OggettoPersistente, Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	private Long id;

	@Version
	@Column(nullable = false)
	private Long version;

	@Override
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Override
	public Long getVersion() {
		return version;
	}

	protected void setVersion(Long versao) {
		this.version = versao;
	}

	@Override
	public boolean isPersistente() {
		return (id != null);
	}

	@Override
	public String toString() {
		return "Istanza di " + getClass().getName() + " (id: " + id + "; uuid: " + uuid + ")";
	}
}
